net.minecraft.network.play.server

## Class S3FPacketCustomPayload

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S3FPacketCustomPayload

-     public class S3FPacketCustomPayload
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S3FPacketCustomPayload()`
    `S3FPacketCustomPayload(java.lang.String p_i45190_1_, byte[] p_i45190_2_)`
    `S3FPacketCustomPayload(java.lang.String p_i45189_1_, io.netty.buffer.ByteBuf p_i45189_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `func_149168_d()`
    `java.lang.String` | `func_149169_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149170_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S3FPacketCustomPayload

          public S3FPacketCustomPayload()

    - #### S3FPacketCustomPayload

          public S3FPacketCustomPayload(java.lang.String p_i45189_1_,
                                io.netty.buffer.ByteBuf p_i45189_2_)

    - #### S3FPacketCustomPayload

          public S3FPacketCustomPayload(java.lang.String p_i45190_1_,
                                byte[] p_i45190_2_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149170_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_149169_c

          public java.lang.String func_149169_c()

    - #### func_149168_d

          public byte[] func_149168_d()